void webserver_init() {
  // starting ESP8266-HTTP-UpdateServer
  httpupdater.setup(&webserver);
  webserver.on("/", webserver_handleRoot);
  webserver.onNotFound(webserver_handleNotFound);
  webserver.begin();
}

// do a minimal webserver to give a sign of live :-)
void webserver_handleRoot() {
  String htmlPage;
  htmlPage.reserve(300); // prevent ram fragmentation. For the following minimum we need only 240 chars, so reserve 300 bytes
  htmlPage = "<html><font face=Arial size=4>R4 Dach-Steuerung<br></font><input type=\"button\" onclick=\"location.href='update';\" value=\"Firmwareupdate\" /><br><br><font face=Arial size=2>";
  htmlPage += versionstring;
  htmlPage += compile_date;
  htmlPage += "</font></html>";
  webserver.send(200, "text/html", htmlPage);
}

void webserver_handleNotFound() {
  String htmlPage = "File Not Found";
  webserver.send(404, "text/plain", htmlPage);
}
