void wifi_init() {
  // Start WiFi as station (client)
  WiFi.disconnect();
  WiFi.mode(WIFI_STA);
  #if UseStaticIP == 1
    WiFi.config(local_IP, gateway, subnet, primaryDNS, secondaryDNS);
  #endif
  WiFi.begin(ssid, password);

  // Wait for connection
  while (WiFi.status() != WL_CONNECTED) {
      delay(500);
  }
}

void wifi_installhandlers() {
  gotIpEventHandler = WiFi.onStationModeGotIP([](const WiFiEventStationModeGotIP& event)
  {
    //Serial.print("Station connected, IP: ");
    //Serial.println(WiFi.localIP());
    WiFiAvailable = true;
  });
  
  disconnectedEventHandler = WiFi.onStationModeDisconnected([](const WiFiEventStationModeDisconnected& event)
  {
    //Serial.println("Station disconnected");
    WiFiAvailable = false;
  });
}